
#ifndef _INCLUDE_SEMI_BLIND_ICA_H_
#define _INCLUDE_SEMI_BLIND_ICA_H_

#ifdef __cplusplus
extern "C" {
#endif

extern int HASetParamSemiBlindICA(Param_SemiBlindICA_t *param);
extern int HAInitSemiBlindICA(void);
extern int HAReleaseSemiBlindICA(void);
extern int SemiBlindICA(int frame_count, COMPLEX_FLOAT **out_data, COMPLEX_FLOAT **in_data);

#ifdef __cplusplus
}
#endif

#endif /* End of _INCLUDE_SEMI_BLIND_ICA_H_ */

/* EOF */



